rte_flow_item_pppoe_proto_id(3)

NAME
rte_flow_item_pppoe_proto_id

SYNOPSIS

#include <rte_flow.h>

  Data Fields

rte_be16_t proto_id

Detailed Description

RTE_FLOW_ITEM_TYPE_PPPOE_PROTO_ID.

Matches a PPPoE optional proto_id field.

It only applies to PPPoE session packets.

Normally preceded by any of:

•   RTE_FLOW_ITEM_TYPE_PPPOE

•   RTE_FLOW_ITEM_TYPE_PPPOE_PROTO_ID

Definition at line 1677 of file rte_flow.h.

Field Documentation

  rte_be16_t proto_id
PPP protocol identifier.

Definition at line 1678 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.